$fn = 36;

radschlaeger();

module radschlaeger() {
    _radschlaeger_half();
    mirror()
    _radschlaeger_half();
    
    translate([0, -3])
    _kopf();
}

module _radschlaeger_half() {
    rotate([0, 0, 130])
    _bein();

    rotate([0, 0, -135])
    _arm();
}

module _bein() {
    translate([0, -0.75]) {
        // Bein
        polygon([
            [0, 0],
            [5, 0.25],
            [5, 1.25],
            [0, 1.5]
        ]);
        // Fuß
        translate([5, 0.25])
        square([1, 2]);
        translate([5.5, 2.25])
        circle(d=1);
    }
}

module _arm() {
    translate([0, -0.75]) {
        // Arm
        polygon([
            [0, 0],
            [5, 0.25],
            [5, 1.25],
            [0, 1.5]
        ]);
        
        // Hand
        translate([4.65, 0.9])
        rotate([0, 0, -135]) {
            translate([-0.5, 0])
            square([1, 1.5]);
            translate([0, 1.5])
            circle(d=1);
        }
    }
}

module _kopf() {
    // Kopf
    scale([1.25, 1])
    circle(d=1.9);
    
    // Hals
    translate([-0.5, 0.9]) {
        difference() {
            translate([0, -0.5])
            square([1, 1.6]);

            translate([0, 0.5])
            scale([0.5, 1])
            circle(d=1);
            
            translate([1, 0.5])
            scale([0.5, 1])
            circle(d=1);

        }
    }
}